Can 2006 RV users use the latest update or are we restricted to using the earlier version that was originally put out for 2006 year models?

Thanks

Submitted by Art on Fri, 2019-05-10 13:05

Permalink

Any software can be used on any year. ...but...

The older software is very stable. It does lack some of the more usable functions of the new 4.x but will work just fine on any year/ model.

The 4.x has issues. Its still a beta (in-work) version. You'll find it works pretty well and has some neat features....but for some odd things it can't. For example, Odometer gauge, it will work initially then, inexplicably, stop updating mileage. Restarting the program resolves it for a little while--which leads to frustration. Not good.

I'd install both. They load into separate folders by design--which allows either one to be used at any given time. Kick the tires, see what you think. The '2006' guideline is just an observational note as to which years seem to function better than others, made after the fact.

Hope this helps

cheers

Art

//

Submitted by shajoe44 on Sat, 2019-05-11 18:04

Permalink

I think I will do that. I have been trying to read everything I can find and that's what I have been reading the most. Some things work and some things don't. Thats called progress...........Thanks for a great looking product. Can't wait to try it out next week.